From 7b56bba96fe23a325eec08bc64e8b627ec747579 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Sat, 10 Oct 2009 10:34:43 +0200
Subject: [PATCH] Backport a VFP fix

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gcc.spec            |   10 +++++++++-
 gcc44-vfp-arm.patch |   11 +++++++++++
 2 files changed, 20 insertions(+), 1 deletions(-)
 create mode 100644 gcc44-vfp-arm.patch

diff --git a/gcc.spec b/gcc.spec
index e01dffd..15f40de 100644
--- a/gcc.spec
+++ b/gcc.spec
@@ -46,7 +46,7 @@
 Summary: Various compilers (C, C++, Objective-C, Java, ...)
 Name: gcc
 Version: %{gcc_version}
-Release: %{gcc_release}.fa3
+Release: %{gcc_release}.fa4
 # libgcc, libgfortran, libmudflap, libgomp, libstdc++ and crtstuff have
 # GCC Runtime Exception.
 License: GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions
@@ -167,6 +167,7 @@ Patch17: gcc44-pr38757.patch
 Patch18: gcc44-libstdc++-docs.patch
 Patch19: gcc44-ppc64-aixdesc.patch
 Patch34: libgcc_post_upgrade.c.arm.patch
+Patch35: gcc44-vfp-arm.patch 
 
 Patch1000: fastjar-0.97-segfault.patch
 
@@ -474,6 +475,10 @@ which are required to compile with the GNAT.
 %endif
 %patch19 -p0 -b .ppc64-aixdesc~
 
+%ifarch %{arm}
+%patch35 -p1
+%endif
+
 # This testcase doesn't compile.
 rm libjava/testsuite/libjava.lang/PR35020*
 
@@ -1831,6 +1836,9 @@ fi
 %doc rpm.doc/changelogs/libmudflap/ChangeLog*
 
 %changelog
+* Sat Oct 10 2009 Jitesh Shah < jiteshs@marvell.com> 4.4.1-16.fa4
+- Backport a fix
+
 * Thu Oct  8 2009 Jitesh Shah <jiteshs@marvell.com> 4.4.1-16.fa3
 - Disable tests.
  
diff --git a/gcc44-vfp-arm.patch b/gcc44-vfp-arm.patch
new file mode 100644
index 0000000..1d37a12
--- /dev/null
+++ b/gcc44-vfp-arm.patch
@@ -0,0 +1,11 @@
+--- trunk/gcc/config/arm/vfp.md	2009/08/24 08:59:38	151049
++++ trunk/gcc/config/arm/vfp.md	2009/09/04 18:59:50	151437
+@@ -960,7 +960,7 @@
+ 	(compare:CCFP (match_dup 0)
+ 		       (match_dup 1)))
+    (set (reg:CCFP CC_REGNUM)
+-	(reg:CCFPE VFPCC_REGNUM))]
++	(reg:CCFP VFPCC_REGNUM))]
+   ""
+ )
+
-- 
1.5.5.6

